#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxesearchdialogbase.ui'
**
** Created: 2012-06-13T09:01:20
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxesearchdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KXESearchDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KXESearchDialogBase::KXESearchDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KXESearchDialogBase" );
    setMinimumSize( QSize( 330, 240 ) );
    setSizeIncrement( QSize( 0, 0 ) );
    KXESearchDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KXESearchDialogBaseLayout"); 

    Layout5 = new QHBoxLayout( 0, 0, 6, "Layout5"); 

    m_pTextLabelSearchedString = new QLabel( this, "m_pTextLabelSearchedString" );
    m_pTextLabelSearchedString->setFrameShape( QLabel::MShape );
    m_pTextLabelSearchedString->setFrameShadow( QLabel::MShadow );
    Layout5->addWidget( m_pTextLabelSearchedString );
    Spacer3 = new QSpacerItem( 262, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout5->addItem( Spacer3 );

    KXESearchDialogBaseLayout->addMultiCellLayout( Layout5, 0, 0, 0, 1 );

    m_pEditSearchedString = new QLineEdit( this, "m_pEditSearchedString" );

    KXESearchDialogBaseLayout->addMultiCellWidget( m_pEditSearchedString, 1, 1, 0, 1 );

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 
    Spacer2 = new QSpacerItem( 154, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout13->addItem( Spacer2 );

    m_pPushButtonFind = new QPushButton( this, "m_pPushButtonFind" );
    layout13->addWidget( m_pPushButtonFind );

    m_pPushButtonCancel = new QPushButton( this, "m_pPushButtonCancel" );
    layout13->addWidget( m_pPushButtonCancel );

    KXESearchDialogBaseLayout->addMultiCellLayout( layout13, 4, 4, 0, 1 );
    Spacer9 = new QSpacerItem( 16, 131, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KXESearchDialogBaseLayout->addItem( Spacer9, 3, 1 );

    m_pGroupBoxSearchIn = new QGroupBox( this, "m_pGroupBoxSearchIn" );
    m_pGroupBoxSearchIn->setColumnLayout(0, Qt::Vertical );
    m_pGroupBoxSearchIn->layout()->setSpacing( 6 );
    m_pGroupBoxSearchIn->layout()->setMargin( 11 );
    m_pGroupBoxSearchInLayout = new QVBoxLayout( m_pGroupBoxSearchIn->layout() );
    m_pGroupBoxSearchInLayout->setAlignment( Qt::AlignTop );

    m_pCheckBoxElementNames = new QCheckBox( m_pGroupBoxSearchIn, "m_pCheckBoxElementNames" );
    m_pGroupBoxSearchInLayout->addWidget( m_pCheckBoxElementNames );

    m_pCheckBoxAttributeNames = new QCheckBox( m_pGroupBoxSearchIn, "m_pCheckBoxAttributeNames" );
    m_pGroupBoxSearchInLayout->addWidget( m_pCheckBoxAttributeNames );

    m_pCheckBoxAttributeValues = new QCheckBox( m_pGroupBoxSearchIn, "m_pCheckBoxAttributeValues" );
    m_pGroupBoxSearchInLayout->addWidget( m_pCheckBoxAttributeValues );

    m_pCheckBoxContents = new QCheckBox( m_pGroupBoxSearchIn, "m_pCheckBoxContents" );
    m_pGroupBoxSearchInLayout->addWidget( m_pCheckBoxContents );

    KXESearchDialogBaseLayout->addMultiCellWidget( m_pGroupBoxSearchIn, 2, 3, 0, 0 );

    layout23 = new QHBoxLayout( 0, 0, 6, "layout23"); 
    spacer19 = new QSpacerItem( 18, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout23->addItem( spacer19 );

    m_pCheckBoxMatchCase = new QCheckBox( this, "m_pCheckBoxMatchCase" );
    layout23->addWidget( m_pCheckBoxMatchCase );
    spacer20 = new QSpacerItem( 19, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout23->addItem( spacer20 );

    KXESearchDialogBaseLayout->addLayout( layout23, 2, 1 );
    languageChange();
    resize( QSize(354, 244).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pEditSearchedString, SIGNAL( textChanged(const QString&) ), this, SLOT( slotTextChanged(const QString&) ) );
    connect( m_pPushButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pPushButtonFind, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pCheckBoxElementNames, SIGNAL( stateChanged(int) ), this, SLOT( slotFindInChanged() ) );
    connect( m_pCheckBoxAttributeNames, SIGNAL( stateChanged(int) ), this, SLOT( slotFindInChanged() ) );
    connect( m_pCheckBoxAttributeValues, SIGNAL( stateChanged(int) ), this, SLOT( slotFindInChanged() ) );
    connect( m_pCheckBoxContents, SIGNAL( stateChanged(int) ), this, SLOT( slotFindInChanged() ) );

    // tab order
    setTabOrder( m_pEditSearchedString, m_pCheckBoxElementNames );
    setTabOrder( m_pCheckBoxElementNames, m_pCheckBoxAttributeNames );
    setTabOrder( m_pCheckBoxAttributeNames, m_pCheckBoxAttributeValues );
    setTabOrder( m_pCheckBoxAttributeValues, m_pCheckBoxContents );
    setTabOrder( m_pCheckBoxContents, m_pCheckBoxMatchCase );
    setTabOrder( m_pCheckBoxMatchCase, m_pPushButtonFind );
    setTabOrder( m_pPushButtonFind, m_pPushButtonCancel );

    // buddies
    m_pTextLabelSearchedString->setBuddy( m_pEditSearchedString );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXESearchDialogBase::~KXESearchDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXESearchDialogBase::languageChange()
{
    setCaption( tr2i18n( "Search" ) );
    m_pTextLabelSearchedString->setText( tr2i18n( "&Search string:" ) );
    QWhatsThis::add( m_pTextLabelSearchedString, tr2i18n( "<b>Search string</b></br>\n"
"Here you can enter the string you want to search for in your XML document." ) );
    QWhatsThis::add( m_pEditSearchedString, tr2i18n( "<b>Search string</b></br>\n"
"Here you can enter the string you want to search for in your XML document." ) );
    m_pPushButtonFind->setText( tr2i18n( "&Find" ) );
    m_pPushButtonCancel->setText( tr2i18n( "&Cancel" ) );
    m_pGroupBoxSearchIn->setTitle( tr2i18n( "Find &in" ) );
    QWhatsThis::add( m_pGroupBoxSearchIn, tr2i18n( "<b>Find in</b>\n"
"<br/>\n"
"Here you can choose the parts of your XML document that should be inspected during the search. \n"
"<br/>\n"
"These are\n"
"<br/>\n"
"<br/>\n"
"<b><i>Element names</i></b><br/>\n"
"<b><i>Attribute names</i></b><br/>\n"
"<b><i>Attribute values</i></b><br/>\n"
"<b><i>Content</i></b>" ) );
    m_pCheckBoxElementNames->setText( tr2i18n( "Element names" ) );
    m_pCheckBoxAttributeNames->setText( tr2i18n( "Attribute names" ) );
    m_pCheckBoxAttributeValues->setText( tr2i18n( "Attribute values" ) );
    m_pCheckBoxContents->setText( tr2i18n( "Content" ) );
    m_pCheckBoxMatchCase->setText( tr2i18n( "&Match case" ) );
    m_pCheckBoxMatchCase->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QWhatsThis::add( m_pCheckBoxMatchCase, tr2i18n( "<b>Match case</b><br/>\n"
"Check this for case sensitive search." ) );
}

void KXESearchDialogBase::slotFindInChanged()
{
    qWarning( "KXESearchDialogBase::slotFindInChanged(): Not implemented yet" );
}

void KXESearchDialogBase::slotTextChanged(const QString&)
{
    qWarning( "KXESearchDialogBase::slotTextChanged(const QString&): Not implemented yet" );
}

#include "kxesearchdialogbase.moc"
