#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxespecprocinstrdialogbase.ui'
**
** Created: 2012-06-13T09:01:22
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxespecprocinstrdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KXESpecProcInstrDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KXESpecProcInstrDialogBase::KXESpecProcInstrDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KXESpecProcInstrDialogBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KXESpecProcInstrDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KXESpecProcInstrDialogBaseLayout"); 

    m_pTextLabel1 = new QLabel( this, "m_pTextLabel1" );

    KXESpecProcInstrDialogBaseLayout->addWidget( m_pTextLabel1, 0, 0 );

    m_pLineEditVersion = new QLineEdit( this, "m_pLineEditVersion" );

    KXESpecProcInstrDialogBaseLayout->addWidget( m_pLineEditVersion, 1, 0 );

    m_pTextLabel2 = new QLabel( this, "m_pTextLabel2" );

    KXESpecProcInstrDialogBaseLayout->addWidget( m_pTextLabel2, 2, 0 );

    m_pComboBoxEncoding = new QComboBox( FALSE, this, "m_pComboBoxEncoding" );
    m_pComboBoxEncoding->setEditable( TRUE );

    KXESpecProcInstrDialogBaseLayout->addWidget( m_pComboBoxEncoding, 3, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_pDontShowAgain = new QCheckBox( this, "m_pDontShowAgain" );
    layout4->addWidget( m_pDontShowAgain );

    KXESpecProcInstrDialogBaseLayout->addLayout( layout4, 4, 0 );

    m_pHLine = new QFrame( this, "m_pHLine" );
    m_pHLine->setFrameShape( QFrame::HLine );
    m_pHLine->setFrameShadow( QFrame::Raised );

    KXESpecProcInstrDialogBaseLayout->addWidget( m_pHLine, 5, 0 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    m_pBtnOK = new QPushButton( this, "m_pBtnOK" );
    m_pBtnOK->setDefault( TRUE );
    layout2->addWidget( m_pBtnOK );

    m_pBtnCancel = new QPushButton( this, "m_pBtnCancel" );
    m_pBtnCancel->setAutoDefault( FALSE );
    layout2->addWidget( m_pBtnCancel );

    KXESpecProcInstrDialogBaseLayout->addLayout( layout2, 6, 0 );
    languageChange();
    resize( QSize(216, 191).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pBtnCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( m_pLineEditVersion, m_pComboBoxEncoding );
    setTabOrder( m_pComboBoxEncoding, m_pDontShowAgain );
    setTabOrder( m_pDontShowAgain, m_pBtnOK );
    setTabOrder( m_pBtnOK, m_pBtnCancel );

    // buddies
    m_pTextLabel1->setBuddy( m_pLineEditVersion );
    m_pTextLabel2->setBuddy( m_pComboBoxEncoding );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXESpecProcInstrDialogBase::~KXESpecProcInstrDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXESpecProcInstrDialogBase::languageChange()
{
    setCaption( tr2i18n( "Special processing instruction" ) );
    m_pTextLabel1->setText( tr2i18n( "XML &version:" ) );
    QWhatsThis::add( m_pTextLabel1, tr2i18n( "<b>XML version</b><br/>\n"
"You can determine the XML version for XML document." ) );
    QWhatsThis::add( m_pLineEditVersion, tr2i18n( "<b>XML version</b><br/>\n"
"You can determine the XML version for XML document." ) );
    m_pTextLabel2->setText( tr2i18n( "&Encoding:" ) );
    QWhatsThis::add( m_pTextLabel2, tr2i18n( "<b>Encoding</b><br/>\n"
"You can determine the encoding used while saving this XML document." ) );
    QWhatsThis::add( m_pComboBoxEncoding, tr2i18n( "<b>Encoding</b><br/>\n"
"You can determine the encoding used while saving this XML document." ) );
    m_pDontShowAgain->setText( tr2i18n( "Do not show this dialog again" ) );
    m_pDontShowAgain->setAccel( QKeySequence( tr2i18n( "Ctrl+T" ) ) );
    QWhatsThis::add( m_pDontShowAgain, tr2i18n( "<b>Do not show this dialog again</b><br/>\n"
"If you select this option, your choice will be remembered. Next time you create a new file, you won't be disturbed by this dialog box." ) );
    m_pBtnOK->setText( tr2i18n( "&OK" ) );
    m_pBtnCancel->setText( tr2i18n( "&Cancel" ) );
}

#include "kxespecprocinstrdialogbase.moc"
